# frozen_string_literal: true

require_relative 'boot'

# Pick the frameworks you want:
require 'active_record/railtie'
require 'action_controller/railtie'
require 'action_view/railtie'
require 'action_mailer/railtie'
require 'active_job/railtie'
require 'action_cable/engine'
# require "rails/test_unit/railtie"
require 'sprockets/railtie'

Bundler.require(*Rails.groups)
require 'date_book'

module Dummy
  class Application < Rails::Application
    # Settings in config/environments/* take precedence over those specified
    # here.
    # Application configuration should go into files in config/initializers
    # -- all .rb files in that directory are automatically loaded.

    config.generators do |g|
      g.orm             :active_record
      g.template_engine :haml
      g.test_framework  :rspec, fixture: false
      g.stylesheets     false
      g.javascripts     false
    end

    config.time_zone = 'America/Denver'
    config.active_record.default_timezone = :local

    config.autoload_paths << Rails.root.join('lib')
  end
end
